Bug 100671 - [i915] kernel crash: BUG: unable to handle kernel paging request at 0000000000003180 on Intel(R) HD Graphics 620
Summary: [i915] kernel crash: BUG: unable to handle kernel paging request at 000000000...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-13 10:07 UTC by Knuth Posern
Modified: 2017-10-20 19:22 UTC (History)
3 users (show)

See Also:
i915 platform: KBL
i915 features: GEM/Other


Attachments
dmesg (journalctl) from the crashed session (1.60 MB, text/x-log)
2017-04-13 10:07 UTC, Knuth Posern
no flags Details
Xorg.0.log (from the session AFTER, because of the kernel crash the last Xorg.0.log was lost) (24.11 KB, text/x-log)
2017-04-13 10:08 UTC, Knuth Posern
no flags Details
"journalctl -b" output when booting with drm.debug=0xe (257.30 KB, text/x-log)
2017-06-26 16:27 UTC, Knuth Posern
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Knuth Posern 2017-04-13 10:07:01 UTC
Created attachment 130824 [details]
dmesg (journalctl) from the crashed session

I just ran into a kernel crash: 

BUG: unable to handle kernel paging request at 0000000000003180

Call Trace:
i915_gem_do_execbuffer.isra.15+0x10e4/0x1810 [i915]
...
RIP: gen8_emit_flush_render+0xba/0x2e0 [i915] RSP: ffffc900039c7bb8
CR2: 0000000000003180

-- system architecture: ("uname -m")
x86_64
-- kernel version: ("uname -r"). 
4.10.8-nvme
(https://github.com/damige/linux-nvme)

Will now switch to drm-tip from http://cgit.freedesktop.org/drm-tip

-- Linux distribution:
Archlinux 64-bit

-- Machine or mother board model:
DELL XPS 13 9360 with Intel(R) HD Graphics 620

-- Display connector:
Internal display:
eDP1 connected primary 3200x1800+0+0 (normal left inverted right x axis y axis) 290mm x 170mm

-- GPU crash dump:
As the machine froze, I was not able to retreive cat /sys/class/drm/card0/error
Comment 1 Knuth Posern 2017-04-13 10:08:04 UTC
Created attachment 130825 [details]
Xorg.0.log (from the session AFTER, because of the kernel crash the last Xorg.0.log was lost)
Comment 2 Knuth Posern 2017-04-13 10:40:34 UTC
BTW: The machine froze completely under X (mouse + keyboard input dead). Unable to switch to tty.


Also not sure if this is related or not, but on this hardware I noticed one major  graphics problem:
It is very hard to describe though. I made a video, can upload it if you like ;) ... but it might be something with buffers somehow not properly refreshing ... because the bug is about rectangular parts of the screen flickering between two versions ... like if you click on a tab in thunderbird then part of the screen flickers between the "old" and the "new" content and this flickering changes with mouse moves...
Comment 3 Elizabeth 2017-06-22 17:00:54 UTC
(In reply to Knuth Posern from comment #2)
> BTW: The machine froze completely under X (mouse + keyboard input dead).
> Unable to switch to tty.
> 
> 
> Also not sure if this is related or not, but on this hardware I noticed one
> major  graphics problem:
> It is very hard to describe though. I made a video, can upload it if you
> like ;) ... but it might be something with buffers somehow not properly
> refreshing ... because the bug is about rectangular parts of the screen
> flickering between two versions ... like if you click on a tab in
> thunderbird then part of the screen flickers between the "old" and the "new"
> content and this flickering changes with mouse moves...

Hello, could you please boot with the parameter "drm.debug=0xe" on grub and provide the full dmesg log? Also, how frequent this bug happens? It would be great if you can share the video to watch the problem and probably the kern.log could be helpful too, could you attach it too. Thank you.
Comment 4 Knuth Posern 2017-06-23 10:48:38 UTC
Hi,

Thanks for the response :)

The freeze did NOT reappear ever since.

So I stopped using the drm-tip kernel and the debug parameter.
I am now back on the standard archlinux kernel core/linux 4.11.5-1 (base).

Not sure if the requested kernel logs would be of any use for you without the crash happening ? - Maybe to investigate the glitches ?

The glitches are all still present though!
And more or less annoying.
From what I heard on IRC this will be very hard to pinpoint... but it would be really great and I am motivated to assist you as I can.

I have 3 videos for you - with explanations in the title and/or the description. If you would need more, please ask!

* Intel(R) HD Graphics 620 - glitch in KDE5 "systemsettings5" app
https://youtu.be/rXPDaGKMZkY

* Intel(R) HD Graphics 620 - emacs text disappearing with cursor up and down movement
https://youtu.be/8rSsORwC1u4

* Intel(R) HD Graphics 620 - disappearing text in libreoffice
https://youtu.be/AH-9kWYVUhU

I will try to get more feedback about these issues from other users of this notebook.
Comment 5 Knuth Posern 2017-06-23 11:09:18 UTC
My current setup (in which I still saw the issues shown in the videos):

# KERNEL:
Jun 21 14:07:41 horizon kernel: Linux version 4.11.5-1-ARCH (builduser@tobias) (gcc version 7.1.1 20170516 (GCC) ) #1 SMP PREEMPT Wed Jun 14 16:19:27 CEST 2017
Jun 21 14:07:41 horizon kernel: Command line: initrd=\intel-ucode.img initrd=\initramfs-linux.img root=PARTUUID=8e5e7875-27f4-4993-a1d4-89258b4605db rw rootflags=subvol=root quiet systemd.show_status=1 ipv6.disable=1 kernel.sysrq=1 sysrq_always_enabled=1

# MODULE i915:
Parameter: alpha_support --> 0
Parameter: disable_display --> N
Parameter: disable_power_well --> 1
Parameter: edp_vswing --> 0
Parameter: enable_cmd_parser --> Y
Parameter: enable_dc --> -1
Parameter: enable_dpcd_backlight --> N
Parameter: enable_dp_mst --> Y
Parameter: enable_execlists --> 1
Parameter: enable_fbc --> 1
Parameter: enable_guc_loading --> 1
Parameter: enable_guc_submission --> 1
Parameter: enable_gvt --> N
Parameter: enable_hangcheck --> Y
Parameter: enable_ips --> 1
Parameter: enable_ppgtt --> 3
Parameter: enable_psr --> 2
Parameter: enable_rc6 --> 1
Parameter: error_capture --> Y
Parameter: fastboot --> N
Parameter: force_reset_modeset_test --> N
Parameter: guc_log_level --> -1
Parameter: inject_load_failure --> 0
Parameter: invert_brightness --> 0
Parameter: load_detect_test --> N
Parameter: lvds_channel_mode --> 0
Parameter: lvds_use_ssc --> -1
Parameter: mmio_debug --> 0
Parameter: modeset --> 1
Parameter: nuclear_pageflip --> N
Parameter: panel_ignore_lid --> 1
Parameter: prefault_disable --> N
Parameter: reset --> Y
Parameter: semaphores --> 0
Parameter: use_mmio_flip --> 0
Parameter: vbt_sdvo_panel_type --> -1
Parameter: verbose_state_checks --> Y
Comment 6 Knuth Posern 2017-06-26 16:27:45 UTC
Created attachment 132258 [details]
"journalctl -b" output when booting with drm.debug=0xe

Re-reading your comment you asked to send you a drm.debug=0xe kern.log (dmesg will display the last x octets of /var/log/kern.log since last boot).

So please find attached the "journalctl -b" output when booting with drm.debug=0xe.
I took the log, after the boot was finished.
Comment 7 Elizabeth 2017-06-26 22:07:14 UTC
Adding tag into "Whiteboard" field - ReadyForDev
*Status is correct
*Platform is included
*Feature is included
*Priority and Severity correctly set
*Logs included
Comment 8 Elizabeth 2017-06-26 22:22:05 UTC
(In reply to Knuth Posern from comment #6)
> Created attachment 132258 [details]
> "journalctl -b" output when booting with drm.debug=0xe
> 
> Re-reading your comment you asked to send you a drm.debug=0xe kern.log
> (dmesg will display the last x octets of /var/log/kern.log since last boot).
> 
> So please find attached the "journalctl -b" output when booting with
> drm.debug=0xe.
> I took the log, after the boot was finished.

Hello again,
I seem to recall some bug which described a similar problem and has to do with PSR. I'm trying to found it to check if it's somehow related.
Comment 9 Elizabeth 2017-06-30 20:01:29 UTC
(In reply to Knuth Posern from comment #0)
> Created attachment 130824 [details]
>
Hi, 
I just realized that this bug had been already fixed, I'm talking about the kernel crash:

(In reply to Knuth Posern from comment #4)
> Hi,
> 
> Thanks for the response :)
> 
> The freeze did NOT reappear ever since.
> 
> So I stopped using the drm-tip kernel and the debug parameter.
> I am now back on the standard archlinux kernel core/linux 4.11.5-1 (base).
> 

Could you please close this bug and create a new one that focuse on the glitches, please?
> 
> The glitches are all still present though!
> And more or less annoying.
> From what I heard on IRC this will be very hard to pinpoint... but it would
> be really great and I am motivated to assist you as I can.
> 
That would help to evade confusions. Thanks.
Comment 10 Elizabeth 2017-10-20 19:22:38 UTC
Closing. Please file a new bug with HW and SW information, logs with latest kernel versions and if possible screenshot or video for the glitches issue. Thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.